Delete Categories

Deprecated
When possible, use the [Category Trees - Delete categories](/developer/api-reference/rest/admin/catalog/category-trees/categories/delete-tree-categories) endpoint instead. Deletes *Category* objects. At least one filter parameter is required to perform the `DELETE` operation. **Usage Notes** - Sending a `DELETE`request without specifying a filter parameter will result in a `422` error. - Sending a `DELETE` request for a category that contains products will result in a `422` error. Move products to a new category by sending a `PUT` request to the `/catalog/products/{product_id}` endpoint before deleting a category.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

idintegerOptional
Filter items by category ID.
id:inlist of integersOptional

Explicitly include objects by passing a comma-separated list of IDs.

id:not_inlist of integersOptional

Exclude objects by passing a comma-separated list of IDs.

id:minintegerOptional
id:maxintegerOptional
id:greaterintegerOptional
id:lessintegerOptional
namestringOptional
Filter items by name.
parent_idintegerOptional

Filter items by parent_id. If the category is a child or sub-category it can be filtered with the parent_id.

page_titlestringOptional

Filter items by page_title.

keywordstringOptional

Filter items by keywords found in the name, description, or sku fields, or in the brand name.

is_visiblebooleanOptional
Filter items based on whether the product is currently visible on the storefront.
name:likestringOptional

Filter items by substring in the name property. name:like=stick returns both Stickers and Lipstick colors.

parent_id:inlist of integersOptional
parent_id:minintegerOptional
parent_id:maxintegerOptional
parent_id:greaterintegerOptional
parent_id:lessintegerOptional
page_title:likestringOptional

Filter items by substring in the page title property. page_title:like=oil returns both Soil and mulch and Oil pastels.

Response